package com.goafanti.common.model;

import java.util.Date;


/**
 * (User)实体类
 *
 * @author makejava
 * @since 2025-09-24 08:28:09
 */
public class User implements  AftUser{
    private static final long serialVersionUID = 896145436195951740L;

    private String id;
    /**
     * 手机号
     */
    private String mobile;
    /**
     * 密码，md5+salt
     */
    private String password;
    /**
     * 用户昵称
     */
    private String nickname;
    /**
     * 用户邮箱
     */
    private String email;
    /**
     * 注册时间
     */
    private Date createTime;
    /**
     * 用户编号
     */
    private Long number;
    /**
     * 会员等级
     */
    private Integer lvl;
    /**
     * 个人/单位，默认0-个人账号，1-组织账号
     */
    private Integer type;
    /**
     * 管理员ID
     */
    private String aid;
    /**
     * 客户经理ID
     */
    private String mid;
    /**
     * 账户状态 0-有效 1-失效 2-锁定
     */
    private Integer status;
    /**
     * 用户来源 0 注册 1 录入 2 领取 3 转交
     */
    private Integer source;
    /**
     * 更新时间
     */
    private Date updateTime;
    /**
     * 公司LOGO
     */
    private String companyLogoUrl;
    /**
     * 个人头像
     */
    private String headPortraitUrl;
    /**
     * 社会属性标签
     */
    private String societyTag;
    /**
     * 简介
     */
    private String introduction;
    /**
     * 增值属性标签
     */
    private String valueAddedTag;
    /**
     * 所属单位用户ID
     */
    private String organizationId;
    /**
     * 共享类型 0=私有 1=公共 2=签单 3=外联 4=渠道
     */
    private Integer shareType;
    /**
     * 客户认证名称
     */
    private String identifyName;
    /**
     * 专家详情背景图
     */
    private String backgroundUrl;
    /**
     * 客户审核状态 0-待审核 ,1-审核通过，2-审核拒绝
     */
    private Integer auditStatus;
    /**
     * 审核意见
     */
    private String auditOpinion;
    /**
     * 客户转换时间
     */
    private Date transferTime;
    /**
     * 资料维护人
     */
    private String informationMaintainer;
    /**
     * 核心技术
     */
    private String coreTechnology;
    /**
     * 客户已完成项目情况
     */
    private String accomplishSituation;
    /**
     * 已有知识产权情况
     */
    private String intellectualProperty;
    /**
     * 信用等级 1 A级优质,2 B级正常,3 C级失信
     */
    private Integer creditRating;
    /**
     * 用户等级 0 一般客户 1 意向客户 2 重点客户
     */
    private Integer level;
    /**
     * 0-未认证，1-已认证
     */
    private Integer authentication;
    /**
     * 用户注册名
     */
    private String username;
    /**
     * 完整度
     */
    private Double integrity;
    /**
     * 邀请码
     */
    private String toInviteCode;
    /**
     * 受邀请码
     */
    private String beInviteCode;
    /**
     * 指导 0无 1有
     */
    private Integer guidance;
    /**
     * 签单标记 0未签单 1已签单
     */
    private Integer signBills;
    /**
     * 外联客户 0否 1是
     */
    private Integer channel;
    /**
     * 渠道客户 0否 1是
     */
    private Integer newChannel;
    /**
     * 签单时间（最近）
     */
    private Date signTime;
    /**
     * 外呼状态 0=未呼叫，1=呼叫中
     */
    private Integer callStatus;
    /**
     * 线索客户 0=否，1=是
     */
    private Integer clueStatus;
    /**
     * 线索客户 0=待分配，1=已分配，2=已回退,3=待处理,4=已领取
     */
    private Integer clueProcess;
    /**
     * 线索导入时间
     */
    private Date clueTime;
    /**
     * 线索录入人
     */
    private String clueAid;
    /**
     * 线索转交时间
     */
    private Date clueTransferTime;
    /**
     * 客户性质 0=其他，1=政府机构，2=科研院所，3=高等院校，4=社会团体，5=企业
     */
    private Integer nature;
    /**
     * 客户性质其他说明
     */
    private String natureOther;
    /**
     * 企业性质 0=其他，1=国企，2=央企，3=私企，4=合资企业（含港澳台），5=外资控股
     */
    private Integer enterpriseNature;
    /**
     * 上市 0=否，1=是
     */
    private Integer listedNature;
    /**
     * 私有有效标识 0=否，1=是
     */
    private Integer privateValid;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getNumber() {
        return number;
    }

    public void setNumber(Long number) {
        this.number = number;
    }

    public Integer getLvl() {
        return lvl;
    }

    public void setLvl(Integer lvl) {
        this.lvl = lvl;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getAid() {
        return aid;
    }

    public void setAid(String aid) {
        this.aid = aid;
    }

    public String getMid() {
        return mid;
    }

    public void setMid(String mid) {
        this.mid = mid;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getSource() {
        return source;
    }

    public void setSource(Integer source) {
        this.source = source;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getCompanyLogoUrl() {
        return companyLogoUrl;
    }

    public void setCompanyLogoUrl(String companyLogoUrl) {
        this.companyLogoUrl = companyLogoUrl;
    }

    public String getHeadPortraitUrl() {
        return headPortraitUrl;
    }

    public void setHeadPortraitUrl(String headPortraitUrl) {
        this.headPortraitUrl = headPortraitUrl;
    }

    public String getSocietyTag() {
        return societyTag;
    }

    public void setSocietyTag(String societyTag) {
        this.societyTag = societyTag;
    }

    public String getIntroduction() {
        return introduction;
    }

    public void setIntroduction(String introduction) {
        this.introduction = introduction;
    }

    public String getValueAddedTag() {
        return valueAddedTag;
    }

    public void setValueAddedTag(String valueAddedTag) {
        this.valueAddedTag = valueAddedTag;
    }

    public String getOrganizationId() {
        return organizationId;
    }

    public void setOrganizationId(String organizationId) {
        this.organizationId = organizationId;
    }

    public Integer getShareType() {
        return shareType;
    }

    public void setShareType(Integer shareType) {
        this.shareType = shareType;
    }

    public String getIdentifyName() {
        return identifyName;
    }

    public void setIdentifyName(String identifyName) {
        this.identifyName = identifyName;
    }

    public String getBackgroundUrl() {
        return backgroundUrl;
    }

    public void setBackgroundUrl(String backgroundUrl) {
        this.backgroundUrl = backgroundUrl;
    }

    public Integer getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(Integer auditStatus) {
        this.auditStatus = auditStatus;
    }

    public String getAuditOpinion() {
        return auditOpinion;
    }

    public void setAuditOpinion(String auditOpinion) {
        this.auditOpinion = auditOpinion;
    }

    public Date getTransferTime() {
        return transferTime;
    }

    public void setTransferTime(Date transferTime) {
        this.transferTime = transferTime;
    }

    public String getInformationMaintainer() {
        return informationMaintainer;
    }

    public void setInformationMaintainer(String informationMaintainer) {
        this.informationMaintainer = informationMaintainer;
    }

    public String getCoreTechnology() {
        return coreTechnology;
    }

    public void setCoreTechnology(String coreTechnology) {
        this.coreTechnology = coreTechnology;
    }

    public String getAccomplishSituation() {
        return accomplishSituation;
    }

    public void setAccomplishSituation(String accomplishSituation) {
        this.accomplishSituation = accomplishSituation;
    }

    public String getIntellectualProperty() {
        return intellectualProperty;
    }

    public void setIntellectualProperty(String intellectualProperty) {
        this.intellectualProperty = intellectualProperty;
    }

    public Integer getCreditRating() {
        return creditRating;
    }

    public void setCreditRating(Integer creditRating) {
        this.creditRating = creditRating;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Integer getAuthentication() {
        return authentication;
    }

    public void setAuthentication(Integer authentication) {
        this.authentication = authentication;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public Double getIntegrity() {
        return integrity;
    }

    public void setIntegrity(Double integrity) {
        this.integrity = integrity;
    }

    public String getToInviteCode() {
        return toInviteCode;
    }

    public void setToInviteCode(String toInviteCode) {
        this.toInviteCode = toInviteCode;
    }

    public String getBeInviteCode() {
        return beInviteCode;
    }

    public void setBeInviteCode(String beInviteCode) {
        this.beInviteCode = beInviteCode;
    }

    public Integer getGuidance() {
        return guidance;
    }

    public void setGuidance(Integer guidance) {
        this.guidance = guidance;
    }

    public Integer getSignBills() {
        return signBills;
    }

    public void setSignBills(Integer signBills) {
        this.signBills = signBills;
    }

    public Integer getChannel() {
        return channel;
    }

    public void setChannel(Integer channel) {
        this.channel = channel;
    }

    public Integer getNewChannel() {
        return newChannel;
    }

    public void setNewChannel(Integer newChannel) {
        this.newChannel = newChannel;
    }

    public Date getSignTime() {
        return signTime;
    }

    public void setSignTime(Date signTime) {
        this.signTime = signTime;
    }

    public Integer getCallStatus() {
        return callStatus;
    }

    public void setCallStatus(Integer callStatus) {
        this.callStatus = callStatus;
    }

    public Integer getClueStatus() {
        return clueStatus;
    }

    public void setClueStatus(Integer clueStatus) {
        this.clueStatus = clueStatus;
    }

    public Integer getClueProcess() {
        return clueProcess;
    }

    public void setClueProcess(Integer clueProcess) {
        this.clueProcess = clueProcess;
    }

    public Date getClueTime() {
        return clueTime;
    }

    public void setClueTime(Date clueTime) {
        this.clueTime = clueTime;
    }

    public String getClueAid() {
        return clueAid;
    }

    public void setClueAid(String clueAid) {
        this.clueAid = clueAid;
    }

    public Date getClueTransferTime() {
        return clueTransferTime;
    }

    public void setClueTransferTime(Date clueTransferTime) {
        this.clueTransferTime = clueTransferTime;
    }

    public Integer getNature() {
        return nature;
    }

    public void setNature(Integer nature) {
        this.nature = nature;
    }

    public String getNatureOther() {
        return natureOther;
    }

    public void setNatureOther(String natureOther) {
        this.natureOther = natureOther;
    }

    public Integer getEnterpriseNature() {
        return enterpriseNature;
    }

    public void setEnterpriseNature(Integer enterpriseNature) {
        this.enterpriseNature = enterpriseNature;
    }

    public Integer getListedNature() {
        return listedNature;
    }

    public void setListedNature(Integer listedNature) {
        this.listedNature = listedNature;
    }

    public Integer getPrivateValid() {
        return privateValid;
    }

    public void setPrivateValid(Integer privateValid) {
        this.privateValid = privateValid;
    }

}

